summaryrefslogtreecommitdiffstats
path: root/network/gnome-mail-notification
diff options
context:
space:
mode:
author Joel J. Adamson2010-05-13 01:00:00 +0200
committer Erik Hanson2010-05-13 01:00:00 +0200
commit3497fde8202474920cd2733a4eeca6f748696d74 (patch)
tree11e153f4932f00b07916f8357e28cda24e0ad2aa /network/gnome-mail-notification
parentdebe16208a789b8002413039b8d8e7b9f013dba3 (diff)
downloadslackbuilds-3497fde8202474920cd2733a4eeca6f748696d74.tar.gz
network/gnome-mail-notification: Added to 13.0 repository
Diffstat (limited to 'network/gnome-mail-notification')
-rw-r--r--network/gnome-mail-notification/README10
-rw-r--r--network/gnome-mail-notification/doinst.sh10
-rw-r--r--network/gnome-mail-notification/gnome-mail-notification.SlackBuild75
-rw-r--r--network/gnome-mail-notification/gnome-mail-notification.info10
-rw-r--r--network/gnome-mail-notification/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/network/gnome-mail-notification/README b/network/gnome-mail-notification/README
new file mode 100644
index 0000000000..0aa03cd95c
--- /dev/null
+++ b/network/gnome-mail-notification/README
@@ -0,0 +1,10 @@
+Gnome Mail Notification Applet
+
+Mail Notification monitors your mailboxes for new mail. When new mail
+arrives, Mail Notification alerts you by displaying an icon in the
+notification area. Highly configurable, and compatible with most mail
+back-ends and mailbox typtes (mbox, MH, Evolution)
+
+http://www.nongnu.org/mailnotify/
+
+Requires libnotify, libgnome, and rarian, available at SlackBuilds.org
diff --git a/network/gnome-mail-notification/doinst.sh b/network/gnome-mail-notification/doinst.sh
new file mode 100644
index 0000000000..eb391ca905
--- /dev/null
+++ b/network/gnome-mail-notification/doinst.sh
@@ -0,0 +1,10 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install mail-notification.schemas
+
diff --git a/network/gnome-mail-notification/gnome-mail-notification.SlackBuild b/network/gnome-mail-notification/gnome-mail-notification.SlackBuild
new file mode 100644
index 0000000000..46e396442f
--- /dev/null
+++ b/network/gnome-mail-notification/gnome-mail-notification.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for gnome-mail-notification
+
+# Written by Joel J. Adamson <adamsonj@email.unc.edu>
+
+PRGNAM=gnome-mail-notification
+OFFICIALNAM=mail-notification
+VERSION=${VERSION:-5.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $OFFICIALNAM-$VERSION
+tar jxvf $CWD/$OFFICIALNAM-$VERSION.tar.bz2
+cd $OFFICIALNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./jb configure destdir=$PKG \
+ prefix=/usr \
+ libdir=/usr/lib${LIBDIRSUFFIX} \
+ sysconfdir=/etc \
+ localstatedir=/var \
+ install-gconf-schemas=yes
+
+./jb build
+./jb install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING COPYING-DOCS README NEWS TODO TRANSLATING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/gnome-mail-notification/gnome-mail-notification.info b/network/gnome-mail-notification/gnome-mail-notification.info
new file mode 100644
index 0000000000..61c1a31bd8
--- /dev/null
+++ b/network/gnome-mail-notification/gnome-mail-notification.info
@@ -0,0 +1,10 @@
+PRGNAM="gnome-mail-notification"
+VERSION="5.4"
+HOMEPAGE="http://www.nongnu.org/mailnotify/"
+DOWNLOAD="http://savannah.nongnu.org/download/mailnotify/mail-notification-5.4.tar.bz2"
+MD5SUM="c8dc33a61251acb5474e56eab6b18f43"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Joel J. Adamson"
+EMAIL="adamsonj@email.unc.edu"
+APPROVED="Erik Hanson"
diff --git a/network/gnome-mail-notification/slack-desc b/network/gnome-mail-notification/slack-desc
new file mode 100644
index 0000000000..4c5d768b46
--- /dev/null
+++ b/network/gnome-mail-notification/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gnome-mail-notification: Gnome Mail Notification Applet
+gnome-mail-notification:
+gnome-mail-notification: Mail Notification monitors your mailboxes for new mail. When new mail
+gnome-mail-notification: arrives, Mail Notification alerts you by displaying an icon in the
+gnome-mail-notification: notification area. Highly configurable, and compatible with most mail
+gnome-mail-notification: back-ends and mailbox typtes (mbox, MH, Evolution)
+gnome-mail-notification:
+gnome-mail-notification:
+gnome-mail-notification:
+gnome-mail-notification:
+gnome-mail-notification: http://www.nongnu.org/mailnotify/